https://api.nexscope.ai/amazon/product/detailRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/amazon/product/detail |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
asins | string | required | List of ASINs, up to 40, formatted as comma separated uppercase letters/numbers, matching `^[A-Z0-9]+(,[A-Z0-9]+){0,39}$`. |
amazonDomain | string | optional | Amazon site: `amazon.com`, `amazon.co.uk`, `amazon.de`, `amazon.fr`, `amazon.it`, `amazon.es`, `amazon.co.jp`, `amazon.ca`, `amazon.com.au`, `amazon.com.br`, `amazon.in`, `amazon.nl`, `amazon.se`, `amazon.pl`, `amazon.sg`, `amazon.sa`, `amazon.ae`, `amazon.com.tr`, `amazon.com.mx`, `amazon.eg`, `amazon.cn`, `amazon.com.be`. |
language | string | optional | Response language locale code, such as `en_US`, `de_DE`, `fr_FR`, `ja_JP`, `it_IT`, `es_ES`, `pt_BR`, `en_GB`, `zh_CN`. |
deliveryZip | string | optional | Shipping zip code used to obtain shipping related pricing, such as `10001`, `10115`, `EC1A 1BB`. |
device | string | optional | Device type: `desktop`, `mobile`, `tablet`. Example: desktop |
returnBoughtTogether | boolean | optional | Whether to return items frequently purchased together `boughtTogether`. Example: false |
returnRelatedProducts | boolean | optional | Whether to return the related product list `relatedProducts`. Example: false |
returnAuthorsReviews | boolean | optional | Whether to return the author comment list `authorsReviews`. Example: false |
Code example
{
"amazonDomain": "amazon.com",
"asins": "B072MQ5BRX,B08N5WRWNW"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (102 fields)
| Name | Type | Required | Description |
|---|---|---|---|
total | integer | optional | Total number of rows. |
columns | array | optional | Rendered columns. |
type | string | optional | Rendering style. |
costToken | integer | optional | Consume Token. |
products | array | optional | Product List. |
asin | string | optional | ASIN code. |
title | string | optional | Product title. |
brand | string | optional | brand. |
price | number | optional | price. |
extractedPrice | number | optional | The price of withdrawal. |
oldPrice | number | optional | Original price. |
extractedOldPrice | number | optional | Original price extracted. |
currency | string | optional | Currency. |
discount | string | optional | Discount. |
saveWithCoupon | string | optional | Coupon savings amount. |
rating | number | optional | Rating. |
ratings | integer | optional | Number of comments. |
prime | boolean | optional | Prime or not. |
stock | string | optional | Stock status. |
delivery | string | optional | Shipping information. |
link | string | optional | Product link. |
linkClean | string | optional | Pure link. |
asinUrl | string | optional | ASIN link. |
imageUrl | string | optional | Thumbnail. |
thumbnail | string | optional | Thumbnail. |
productImageUrls | array | optional | List of product image links. |
aboutItem | array | optional | Five points of description. |
productDescription | string | optional | List of product descriptions. |
description | string | optional | Product description. |
dimension | string | optional | Product size. |
weight | string | optional | weight. |
tags | string | optional | tag list. |
badges | string | optional | List of badges. |
climatePledgeFriendly | boolean | optional | Is it climate friendly? |
snapEbtEligible | boolean | optional | Whether SNAP EBT is supported. |
boughtLastMonth | string | optional | Number of purchases last month (string). |
boughtLastMonthCount | integer | optional | Number of purchases (number) last month. |
reviewsSummary | string | optional | Summary of comments. |
reviewsImages | array | optional | Comment picture list. |
sourceType | string | optional | Source type: `amazon`. |
pageFileUrl | string | optional | Full page file URL. |
asin | string | optional | ASIN code. |
manufacturer | string | optional | manufacturer. |
productDimensions | string | optional | Product size. |
upc | string | optional | UPC encoding. |
units | string | optional | unit. |
rating | number | optional | Rating. |
review | integer | optional | Number of comments. |
fiveStar | integer | optional | Number of five-star reviews. |
fourStar | integer | optional | Four star reviews. |
threeStar | integer | optional | Number of Samsung reviews. |
twoStar | integer | optional | Two-star reviews. |
oneStar | integer | optional | Number of one-star reviews. |
title | string | optional | Variation titles such as color, size. |
items | array | optional | List of variant items. |
name | string | optional | Variant name. |
asin | string | optional | ASIN code. |
position | integer | optional | location. |
selected | boolean | optional | has been selected. |
asin | string | optional | ASIN code. |
title | string | optional | title. |
price | string | optional | price. |
extractedPrice | number | optional | The price of withdrawal. |
priceUnit | string | optional | unit price. |
extractedPriceUnit | number | optional | The extracted unit price. |
thumbnail | string | optional | Thumbnail. |
link | string | optional | link. |
linkClean | string | optional | Pure link. |
stock | string | optional | Stock status. |
delivery | array | optional | Shipping information. |
position | integer | optional | location. |
asin | string | optional | ASIN code. |
title | string | optional | title. |
price | string | optional | price. |
extractedPrice | number | optional | The price of withdrawal. |
oldPrice | string | optional | Original price. |
extractedOldPrice | number | optional | Original price extracted. |
priceUnit | string | optional | unit price. |
extractedPriceUnit | number | optional | The extracted unit price. |
rating | number | optional | Rating. |
reviews | integer | optional | Number of comments. |
thumbnail | string | optional | Thumbnail. |
link | string | optional | link. |
linkClean | string | optional | Pure link. |
prime | boolean | optional | Prime or not. |
sponsored | boolean | optional | Whether to sponsor products. |
climatePledgeFriendly | boolean | optional | Is it climate friendly? |
discount | string | optional | Discount. |
badges | array | optional | List of badges. |
position | integer | optional | location. |
title | string | optional | Comment title. |
text | string | optional | Comment content. |
author | string | optional | Author. |
authorImage | string | optional | Author avatar. |
authorLink | string | optional | Author link. |
rating | integer | optional | Rating. |
date | string | optional | date. |
verifiedPurchase | boolean | optional | Has the purchase been verified? |
helpfulVotes | string | optional | Useful votes. |
productSize | string | optional | Product size. |
productFlavorName | string | optional | Product flavor name. |
position | integer | optional | location. |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.